Bug 1417291 - Error running subunit2junitxml in fedora
Summary: Error running subunit2junitxml in fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subunit
Version: 25
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 20:11 UTC by Alfredo Moralejo
Modified: 2017-02-01 21:20 UTC (History)
1 user (show)

Fixed In Version: subunit-1.2.0-10.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 21:20:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Alfredo Moralejo 2017-01-27 20:11:31 UTC
Description of problem:

Following error appears when running subunit2junitxml command provided by subunit-filters package:

$ subunit2junitxml 
python-junitxml (https://launchpad.net/pyjunitxml or http://pypi.python.org/pypi/junitxml) is required for this filter.Traceback (most recent call last):
  File "/usr/bin/subunit2junitxml", line 27, in <module>
    from junitxml import JUnitXmlResult
ImportError: No module named junitxml


Version-Release number of selected component (if applicable):

Fedora 25

subunit-filters-1.2.0-8.fc25.noarch

How reproducible:

always

Steps to Reproduce:
1. yum install subunit-filters
2. subunit2junitxml

Actual results:

Error arises:

ImportError: No module named junitxml

Additional info:

Command works as expected after installing python-junitxml manually.

Comment 1 Fedora Update System 2017-01-30 04:37:11 UTC
subunit-1.2.0-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f8382f3f5

Comment 2 Fedora Update System 2017-01-31 03:51:31 UTC
subunit-1.2.0-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f8382f3f5

Comment 3 Fedora Update System 2017-02-01 21:20:30 UTC
subunit-1.2.0-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.